Subject: bug#5235: 23.1; Unibyte keyboard input problem

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Dec 2009 22:07:56 +0200

> From: Tomasz Zbrożek <[email-masked]>
> Date: Sun, 27 Dec 2009 14:30:47 +0100
> 
> Eli, it looks your patch works OK

Thanks for testing.

> :D But...
> On the default polish environment setting (latin-2), when I have -*- coding: 
> cp1250 -*- in my file and when I try to save file with your feature I get 
> such a message in minibuffer:
> 
> Selected encoding iso-latin-2-unix disagrees with windows-1250-unix specified 
> by file contents.  Really save (else edit coding cookies and try again)? (yes 
> or no) 

This is expected, I think.  I could make it honor the `coding' cookie
even in that case, but I'd like first to know if this kind of solution
is acceptable (below).

> But when I change a little bit language enviroment to:
> 
>  '(language-info-custom-alist (quote (("Polish" (coding-priority cp1250)))))
> 
> then everything is OK and your patch works fine (no question when saving and 
> coding is ok)!

Good.

Handa-san, could you please tell if you see anything wrong with this
semi-kludgey solution?

Stefan and Yidong: assuming that Handa-san has no objections, is it
okay to commit the patch I sent yesterday?